# <a name="title"></a> Kitchen::Centurylink

A [Test Kitchen](http://kitchen.ci/) driver for Centurylink Cloud. Spin up, converge, test, and tear down servers on CenturyLink's cloud platform. 

## <a name="requirements"></a> Requirements

You will need a [CenturyLink Cloud](http://centurylinkcloud.com) account

## <a name="installation"></a> Installation and Setup

    gem install kitchen-centurylink

Example .kitchen.yml file:
```yaml
---
driver:
  name: centurylink

provisioner:
  name: chef_solo

platforms:
  - name: ubuntu
    driver_config:
      accountAlias: ALIAS
      groupId: 123456789
      server_name: test
      cpu:  1
      memoryGB: 4
      serverTemplate: UBUNTU-14-64-TEMPLATE
      
```
See the [CenturyLink Cloud API documentation](http://www.centurylinkcloud.com/api-docs/v2/#servers-create-server) for more info on how to set these values. 
