# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'kitchen/driver/centurylink_version'

Gem::Specification.new do |spec|
  spec.name          = 'kitchen-centurylink'
  spec.version       = Kitchen::Driver::CENTURYLINK_VERSION
  spec.authors       = ['Anthony Howell', 'Jonathan Hinds']
  spec.email         = ['anthonyrhowell@gmail.com', 'jonathan.hinds@centurylink']
  spec.description   = %q{A Test Kitchen Driver for Centurylink}
  spec.summary       = spec.description
  spec.homepage      = ''
  spec.license       = 'Apache 2.0'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = []
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'test-kitchen', '~> 1.3.1'
  spec.add_dependency 'highline'
  spec.add_dependency 'clc_client', '~> 0.1.3'

  spec.add_development_dependency 'clc_ruby_api', '~> 0.1.3'
  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake'

  spec.add_development_dependency 'cane'
  spec.add_development_dependency 'tailor'
  spec.add_development_dependency 'countloc'
end
